lists

# Class: lamSelectListOption

Source Location: /lib/lists.inc

### Class Overview

    lamListOption
       |
       --lamSelectListOption

Boolean option for list configuration.

#### Author(s):

- Roland Gruber

### Methods

- __construct
- fillFromPostData
- getMetaHTML
- setHelpID

### Inherited Methods

#### Class: lamListOption

lamListOption::__construct()
  Creates a new config option.
lamListOption::fillFromPostData()
  Fills the config option from POST data.
lamListOption::getID()
  Returns the option ID.
lamListOption::getMetaHTML()
  Returns the meta HTML data to display this option.
lamListOption::getValue()
  Returns the option value. The value must not contain "=" and ";".
lamListOption::setValue()
  Sets the config option value. The value must not contain "=" and ";".

### Class Details

[line 1127]
Boolean option for list configuration.

#### Tags:

author: | Roland Gruber

[ Top ]

### Class Methods

### constructor __construct [line 1141]

`lamBooleanListOption __construct( String $name, array $options, String $ID)`

Creates a new selection list option.

#### Tags:

return: | config option
access: | public

Overrides lamListOption::__construct() (Creates a new config option.)

#### Parameters:

String | $name | name to show on config page
array | $options | list of possible values
String | $ID | unique ID

[ Top ]

### method fillFromPostData [line 1161]

`array fillFromPostData( )`

Fills the config option from POST data.

#### Tags:

return: | list of StatusMessages (array(<type>, <head line>, <body>))
access: | public

Overrides lamListOption::fillFromPostData() (Fills the config option from POST data.)
[ Top ]

### method getMetaHTML [line 1175]

`array getMetaHTML( )`

Returns the meta HTML data to display this option.

#### Tags:

return: | meta HTML
access: | public

Overrides lamListOption::getMetaHTML() (Returns the meta HTML data to display this option.)
[ Top ]

### method setHelpID [line 1152]

`void setHelpID( Strign $id)`

Sets the help ID.

#### Tags:

access: | public

#### Parameters:

Strign | $id | help ID

[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:29 +0200 by phpDocumentor 1.4.0